#
# spec file for package perl-Data-ShowTable (Version 3.3)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           perl-Data-ShowTable
Version:        3.3
Release:        584.2
Provides:       Data-ShowTable
Requires:       perl = %{perl_version}
Autoreqprov:    on
Group:          Development/Libraries/Perl
License:        GPL
Summary:        A Perl Module that allows Pretty-Printing of Data Arrays
Source:         http://www.cpan.org/modules/by-module/Data/Data-ShowTable-%{version}.tar.gz
Patch:          Data-ShowTable-%{version}.dif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
ShowTable.pm is a Perl 5 module which defines subroutines to print
arrays of data in nicely formatted listings. It uses one of four
possible formats: simple table, boxed table, list style, and
HTML-formatting.



Authors:
--------
    Alan K. Stebbens <aks@sgi.com>

%debug_package
%prep
%setup -n Data-ShowTable-%{version}
%patch

%build
perl Makefile.PL
make
if test $ABUILD_RUN_TEST_SUITES = true ; then
	make test
fi

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install_vendor
%perl_process_packlist

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc Changes Copyright README
%doc %{_mandir}/man?/*
%{perl_vendorlib}/Data
%{perl_vendorarch}/auto/Data
%{_bindir}/showtable
/var/adm/perl-modules/%{name}

%changelog -n perl-Data-ShowTable
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Sun Jan 11 2004 - adrian@suse.de
- buld as suer
* Fri Aug 22 2003 - mjancar@suse.cz
- require the perl version we build with
* Mon Jul 21 2003 - rommel@suse.de
- using perl_vendorlib and perl_vendorarch instead of
  perl_archlib and perl_sitearch
* Tue Jul 01 2003 - ro@suse.de
- use perl_process_packlist macro
* Mon Jun 23 2003 - ro@suse.de
- added directories to filelist
* Thu Aug 08 2002 - mls@suse.de
- use sitearch macro
* Tue Jul 02 2002 - mls@suse.de
- remove race in .packlist generation
* Wed Nov 08 2000 - ro@suse.de
- added BUILD_ROOT_DIR
* Tue Nov 07 2000 - grimmer@suse.de
- removed BuildRoot Path from .packlist using sed
* Mon Nov 06 2000 - grimmer@suse.de
- Initial Package (splitted from package mysql, where it
  was part of subpackage mysqperl), Version 3.3
